package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.jcgl.TbJcglXf;
import com.mosty.base.model.query.jcgl.TbJcglXfQuery;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface TbJcglXfService {

    TbJcglXf queryById(String id);

    IPage<TbJcglXf> paginQuery(TbJcglXfQuery query);

    Integer insert(TbJcglXf xf);

    Integer update(TbJcglXf xf);

    Boolean deleteById(String id);

    Boolean deleteByIds(List<String> id);

    List<Map<String, Object>> xfbmtj(TbJcglXfQuery query);

    int bacthSb(List<String> id);

}
